
Name:           %{dz_repo}
Version:        %{dz_version}
Release:        %{_vendor}%{?suse_version}
Summary:        Procedural pixel art generation / compositing
Group:          Development/Tools
License:        GPL-2.0+
URL:            http://dev.openttdcoop.org/projects/nml
Source0:        %{name}-%{version}.tar
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       python-imaging
# We need Mercurial for auto version detection:
BuildRequires:  mercurial
# We use setuptools for the packaging
BuildRequires:  python-setuptools

%description
%{summary}

%prep
%setup -qn %{name}

# update to the tag, if not revision
[ "$(echo %{version} | cut -b-1)" != "r" ] && hg up %{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
